Bug 10271 - Incorrect job-ID sent in print job notifications
Incorrect job-ID sent in print job notifications
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Printing
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 19:04 UTC by David Disseldorp
Modified: 2013-11-27 10:08 UTC (History)
0 users

See Also:


Attachments
proposed fix for master branch (8.44 KB, patch)
2013-11-15 19:09 UTC, David Disseldorp
asn: review+
gd: review+
jra: review+
Details
patch for 4.1, straight cherry-pick from master (9.15 KB, patch)
2013-11-19 12:49 UTC, David Disseldorp
gd: review+
Details
patch for 4.0, straight cherry-pick from master (9.15 KB, patch)
2013-11-19 12:50 UTC, David Disseldorp
gd: review+
Details
patch for 3.6, adds minor server_reload change (10.20 KB, patch)
2013-11-19 17:48 UTC, David Disseldorp
ddiss: review? (asn)
ddiss: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Disseldorp 2013-11-15 19:04:02 UTC
Print jobs have multiple identifiers: the regular spoolss jobid, which is allocated by spoolss on job submission, and the system jobid, which is assigned by the printing back-end.
Currently these identifiers are mixed in print job queue tracking. As a result, print job notifications intermittently carry the incorrect system print job identifier.

Print clients can use notification job-ids in subsequent spoolss SetJob requests. Returning an incorrect identifier can result in the failure of such requests, e.g. spoolss_SetJob(SPOOLSS_JOB_CONTROL_DELETE).
Comment 1 David Disseldorp 2013-11-15 19:09:49 UTC
Created attachment 9429 [details]
proposed fix for master branch
Comment 2 Jeremy Allison 2013-11-15 20:14:41 UTC
Comment on attachment 9429 [details]
proposed fix for master branch

LGTM (although there are a few minor whitespace changes mixed in :-).

Do you want me to push to master ?

Jeremy.
Comment 3 David Disseldorp 2013-11-16 15:42:58 UTC
(In reply to comment #2)
> Comment on attachment 9429 [details]
> proposed fix for master branch
> 
> LGTM (although there are a few minor whitespace changes mixed in :-).
> 
> Do you want me to push to master ?

Yes please. Thanks for the review Jeremy!
Comment 4 Guenther Deschner 2013-11-17 10:08:04 UTC
Comment on attachment 9429 [details]
proposed fix for master branch

looks good, thanks.
Comment 5 David Disseldorp 2013-11-18 15:33:13 UTC
Comment on attachment 9429 [details]
proposed fix for master branch

I've pushed this to master with your reviewed-by tags attached.
Backports for 4.1, 4.0 and 3.6 to follow...
Comment 6 David Disseldorp 2013-11-19 12:49:58 UTC
Created attachment 9439 [details]
patch for 4.1, straight cherry-pick from master
Comment 7 David Disseldorp 2013-11-19 12:50:22 UTC
Created attachment 9440 [details]
patch for 4.0, straight cherry-pick from master
Comment 8 David Disseldorp 2013-11-19 17:48:56 UTC
Created attachment 9444 [details]
patch for 3.6, adds minor server_reload change
Comment 9 David Disseldorp 2013-11-25 16:43:25 UTC
@Karolin, please pull the 4.1 and 4.0 patches, the 3.6 change will need to wait until it's been reviewed.
Comment 10 Karolin Seeger 2013-11-26 19:39:51 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Unfortunately, it's too late for 3.6.21 (which will be the last maintenance release of the Samba 3.6 release series).
Comment 11 Karolin Seeger 2013-11-27 10:08:02 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!